Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158641 - liboil fails to rebuild with gcc4
Summary: liboil fails to rebuild with gcc4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: liboil
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-24 15:13 UTC by Jeremy Katz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-25 17:28:56 UTC


Attachments (Terms of Use)
fix gcc compilation failure (deleted)
2005-05-24 20:33 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Jeremy Katz 2005-05-24 15:13:02 UTC
Fails on i386, failure log under
http://extras64.linux.duke.edu/failed/development/liboil/0.3.0-3/i386/

Comment 1 Tom "spot" Callaway 2005-05-24 20:33:38 UTC
Created attachment 114801 [details]
fix gcc compilation failure

This patch does two things:

1. Fixes liboil to use CFLAGS as defined at build time rather than just
ignoring them and using its own arbitrary set.

2. Adds -m3dnow to the Makefile only for the one file that needs to be compiled
with that option.

With this patch, liboil builds in rawhide.

Comment 2 Matthias Saou 2005-05-25 17:28:56 UTC
Thanks a lot. I've now updated to 0.3.2 too, as it also rebuilds fine with your
patch.


Note You need to log in before you can comment on or make changes to this bug.